Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  abstract class PostProcessor extends PerRunInit

  Implements late stages of the backend that don't depend on a Global instance, i.e., optimizations, post-processing and classfile serialization and writing.

  Implements late stages of the backend that don't depend on a Global instance, i.e., optimizations, post-processing and classfile serialization and writing.

  Definition Classes
    jvm
- ClassWriterWithBTypeLub

c

scala.tools.nsc.backend.jvm.PostProcessor

# ClassWriterWithBTypeLub

###

#### final class ClassWriterWithBTypeLub extends ClassWriter

An asm ClassWriter that uses ClassBType.jvmWiseLUB to compute the common superclass of class types. This operation is used for computing stack map frames.

Source
  PostProcessor.scala

Linear Supertypes
ClassWriter, ClassVisitor, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClassWriterWithBTypeLub
2. ClassWriter
3. ClassVisitor
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ClassWriterWithBTypeLub(flags: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ClassWriterWithBTypeLub toany2stringadd[ClassWriterWithBTypeLub] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ClassWriterWithBTypeLub, B)
   Implicit
     This member is added by an implicit conversion from ClassWriterWithBTypeLub toArrowAssoc[ClassWriterWithBTypeLub] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (ClassWriterWithBTypeLub) => Boolean, msg: => Any): ClassWriterWithBTypeLub
   Implicit
     This member is added by an implicit conversion from ClassWriterWithBTypeLub toEnsuring[ClassWriterWithBTypeLub] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (ClassWriterWithBTypeLub) => Boolean): ClassWriterWithBTypeLub
   Implicit
     This member is added by an implicit conversion from ClassWriterWithBTypeLub toEnsuring[ClassWriterWithBTypeLub] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): ClassWriterWithBTypeLub
    Implicit
      This member is added by an implicit conversion from ClassWriterWithBTypeLub toEnsuring[ClassWriterWithBTypeLub] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): ClassWriterWithBTypeLub
    Implicit
      This member is added by an implicit conversion from ClassWriterWithBTypeLub toEnsuring[ClassWriterWithBTypeLub] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ClassWriterWithBTypeLub toStringFormat[ClassWriterWithBTypeLub] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def getClassLoader(): ClassLoader
    Attributes
      protected[scala.tools.asm]
    Definition Classes
      ClassWriter
18.  def getCommonSuperClass(inameA: String, inameB: String): String

    This method is invoked by asm during classfile writing when computing stack map frames.

    This method is invoked by asm during classfile writing when computing stack map frames.

    TODO: it might make sense to cache results per compiler run. The ClassWriter caches internally, but we create a new writer for each class. scala/scala-dev#322.

    Definition Classes
      ClassWriterWithBTypeLub → ClassWriter
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def newClass(arg0: String): Int
    Definition Classes
      ClassWriter
23.  def newConst(arg0: AnyRef): Int
    Definition Classes
      ClassWriter
24.  def newConstantDynamic(arg0: String, arg1: String, arg2: Handle, arg3: <repeated...>[AnyRef]): Int
    Definition Classes
      ClassWriter
    Annotations
      @transient()
25.  def newField(arg0: String, arg1: String, arg2: String): Int
    Definition Classes
      ClassWriter
26.  def newHandle(arg0: Int, arg1: String, arg2: String, arg3: String, arg4: Boolean): Int
    Definition Classes
      ClassWriter
27.  def newInvokeDynamic(arg0: String, arg1: String, arg2: Handle, arg3: <repeated...>[AnyRef]): Int
    Definition Classes
      ClassWriter
    Annotations
      @transient()
28.  def newMethod(arg0: String, arg1: String, arg2: String, arg3: Boolean): Int
    Definition Classes
      ClassWriter
29.  def newMethodType(arg0: String): Int
    Definition Classes
      ClassWriter
30.  def newModule(arg0: String): Int
    Definition Classes
      ClassWriter
31.  def newNameType(arg0: String, arg1: String): Int
    Definition Classes
      ClassWriter
32.  def newPackage(arg0: String): Int
    Definition Classes
      ClassWriter
33.  def newUTF8(arg0: String): Int
    Definition Classes
      ClassWriter
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toByteArray(): Array[Byte]
    Definition Classes
      ClassWriter
    Annotations
      @throws(classOf[scala.tools.asm.ClassTooLargeException]) @throws(classOf[scala.tools.asm.MethodTooLargeException])
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  final def visit(arg0: Int, arg1: Int, arg2: String, arg3: String, arg4: String, arg5: Array[String]): Unit
    Definition Classes
      ClassWriter → ClassVisitor
40.  final def visitAnnotation(arg0: String, arg1: Boolean): AnnotationVisitor
    Definition Classes
      ClassWriter → ClassVisitor
41.  final def visitAttribute(arg0: Attribute): Unit
    Definition Classes
      ClassWriter → ClassVisitor
42.  final def visitEnd(): Unit
    Definition Classes
      ClassWriter → ClassVisitor
43.  final def visitField(arg0: Int, arg1: String, arg2: String, arg3: String, arg4: AnyRef): FieldVisitor
    Definition Classes
      ClassWriter → ClassVisitor
44.  final def visitInnerClass(arg0: String, arg1: String, arg2: String, arg3: Int): Unit
    Definition Classes
      ClassWriter → ClassVisitor
45.  final def visitMethod(arg0: Int, arg1: String, arg2: String, arg3: String, arg4: Array[String]): MethodVisitor
    Definition Classes
      ClassWriter → ClassVisitor
46.  final def visitModule(arg0: String, arg1: Int, arg2: String): ModuleVisitor
    Definition Classes
      ClassWriter → ClassVisitor
47.  def visitNestHost(arg0: String): Unit
    Definition Classes
      ClassWriter → ClassVisitor
48.  def visitNestMember(arg0: String): Unit
    Definition Classes
      ClassWriter → ClassVisitor
49.  final def visitOuterClass(arg0: String, arg1: String, arg2: String): Unit
    Definition Classes
      ClassWriter → ClassVisitor
50.  final def visitSource(arg0: String, arg1: String): Unit
    Definition Classes
      ClassWriter → ClassVisitor
51.  final def visitTypeAnnotation(arg0: Int, arg1: TypePath, arg2: String, arg3: Boolean): AnnotationVisitor
    Definition Classes
      ClassWriter → ClassVisitor
52.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
53.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def newHandle(arg0: Int, arg1: String, arg2: String, arg3: String): Int
   Definition Classes
     ClassWriter
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2.  def →[B](y: B): (ClassWriterWithBTypeLub, B)
   Implicit
     This member is added by an implicit conversion from ClassWriterWithBTypeLub toArrowAssoc[ClassWriterWithBTypeLub] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ClassWriter

### Inherited from ClassVisitor

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromClassWriterWithBTypeLub to any2stringadd[ClassWriterWithBTypeLub]

### Inherited by implicit conversion StringFormat fromClassWriterWithBTypeLub to StringFormat[ClassWriterWithBTypeLub]

### Inherited by implicit conversion Ensuring fromClassWriterWithBTypeLub to Ensuring[ClassWriterWithBTypeLub]

### Inherited by implicit conversion ArrowAssoc fromClassWriterWithBTypeLub to ArrowAssoc[ClassWriterWithBTypeLub]

### Ungrouped